
CoCoA-5 - Bug #239

Normaliz functions not available in C5 GUI (again!)

27 Sep 2012 18:03 - John Abbott

Status: Closed Start date: 27 Sep 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: GUI Estimated time: 8.00 hours

Target version: CoCoA-5.1.0 Easter14 Spent time: 8.25 hours

Description

The builtin normaliz functions are not available in the C5 GUI.

Related issues:

Related to CoCoA-5 - Bug #519: GUI: fix DEFINES in makefile Closed 03 Apr 2014

History

#1 - 27 Sep 2012 18:10 - John Abbott

- Category set to GUI

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 0 to 90

The problem turned out to be not passing -DCoCoA_WITH_NORMALIZ flag to the script which builds C5Makefile.

The fix was to redesign to handling of compilation flags (separating CPP flags from true CXX flags), and then pass the CPP flags to C5Makefile. 

Consequent changes to Makefile in src/CoCoA-5/ directory; the new rule is cleaner and simpler, and easier to maintain.

There was a consequent significant revision to configure script.  Now it is cleaner, and should be easier to maintain/extend.

Awaiting confirmation from Christof before closing.

#2 - 02 Apr 2014 17:33 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#3 - 04 Apr 2014 16:50 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 90 to 100

No complaints in over a year --> closing.

#4 - 14 Apr 2014 09:15 - Anna Maria Bigatti

- Estimated time set to 8.00 h
